Debian Bug report logs - #616182
qgis: FTBFS on multiple architectures

version graph

Package: qgis; Maintainer for qgis is Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>; Source for qgis is src:qgis.

Reported by: Hector Oron <zumbi@debian.org>

Date: Wed, 2 Mar 2011 23:45:01 UTC

Severity: serious

Found in version qgis/1.4.0+12730-6

Fixed in version qgis/1.7.4+1.7.5~20120320-1

Done: Francesco Paolo Lovergine <frankie@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>:
Bug#616182; Package qgis. (Wed, 02 Mar 2011 23:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
New Bug report received and forwarded. Copy sent to Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>. (Wed, 02 Mar 2011 23:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: qgis: FTBFS on multiple architectures
Date: Wed, 02 Mar 2011 23:42:17 +0000
Package: qgis
Version: 1.4.0+12730-6
Severity: serious

Hello,

  Your package fails to build on the autobuilder network:

[ 62%] Generating core/Makefile, gui/Makefile, analysis/Makefile
sip: /build/buildd-qgis_1.4.0+12730-6-armel-HelQz3/qgis-1.4.0+12730/python/core/conversions.sip:268: Mapped type has already been defined in another module
sip: /build/buildd-qgis_1.4.0+12730-6-armel-HelQz3/qgis-1.4.0+12730/python/core/conversions.sip:268: Mapped type has already been defined in another module
sip: /build/buildd-qgis_1.4.0+12730-6-armel-HelQz3/qgis-1.4.0+12730/python/core/conversions.sip:268: Mapped type has already been defined in another module
Error: Unable to open
"/build/buildd-qgis_1.4.0+12730-6-armel-HelQz3/qgis-1.4.0+12730/debian/build/python/core/core.sbf"
Parsing SIP files for 'core' library...
/usr/bin/sip -c core -b /build/buildd-qgis_1.4.0+12730-6-armel-HelQz3/qgis-1.4.0+12730/debian/build/python/core/core.sbf -I /usr/share/sip/PyQt4 -x VendorID -t WS_X11 -x PyQt_NoPrintRangeBug -x PyQt_qreal_double -t Qt_4_6_3 -x Py_v3 -g /build/buildd-qgis_1.4.0+12730-6-armel-HelQz3/qgis-1.4.0+12730/python/core/core.sip
Parsing SIP files for 'gui' library...
/usr/bin/sip -c gui -b /build/buildd-qgis_1.4.0+12730-6-armel-HelQz3/qgis-1.4.0+12730/debian/build/python/gui/gui.sbf -I /build/buildd-qgis_1.4.0+12730-6-armel-HelQz3/qgis-1.4.0+12730/python -I /usr/share/sip/PyQt4 -x VendorID -t WS_X11 -x PyQt_NoPrintRangeBug -x PyQt_qreal_double -t Qt_4_6_3 -x Py_v3 -g /build/buildd-qgis_1.4.0+12730-6-armel-HelQz3/qgis-1.4.0+12730/python/gui/gui.sip
Parsing SIP files for 'analysis' library...
/usr/bin/sip -c analysis -b /build/buildd-qgis_1.4.0+12730-6-armel-HelQz3/qgis-1.4.0+12730/debian/build/python/analysis/analysis.sbf -I /build/buildd-qgis_1.4.0+12730-6-armel-HelQz3/qgis-1.4.0+12730/python -I /usr/share/sip/PyQt4 -x VendorID -t WS_X11 -x PyQt_NoPrintRangeBug -x PyQt_qreal_double -t Qt_4_6_3 -x Py_v3 -g /build/buildd-qgis_1.4.0+12730-6-armel-HelQz3/qgis-1.4.0+12730/python/analysis/analysis.sip
Creating makefiles...
make[3]: *** [python/core/Makefile] Error 1

  Find full build logs linked from:
  https://buildd.debian.org/status/package.php?p=qgis&suite=sid

  Best regards

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (650, 'testing'), (600, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.37-1-686 (SMP w/2 CPU cores)
Locale: LANG=ca_ES.UTF-8, LC_CTYPE=ca_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Added indication that bug 616182 blocks 617828 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Fri, 11 Mar 2011 20:39:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 20 Mar 2012 19:09:12 GMT) Full text and rfc822 format available.

Reply sent to Francesco Paolo Lovergine <frankie@debian.org>:
You have taken responsibility. (Thu, 03 May 2012 22:57:10 GMT) Full text and rfc822 format available.

Notification sent to Hector Oron <zumbi@debian.org>:
Bug acknowledged by developer. (Thu, 03 May 2012 22:57:10 GMT) Full text and rfc822 format available.

Message #14 received at 616182-close@bugs.debian.org (full text, mbox):

From: Francesco Paolo Lovergine <frankie@debian.org>
To: 616182-close@bugs.debian.org
Subject: Bug#616182: fixed in qgis 1.7.4+1.7.5~20120320-1
Date: Thu, 03 May 2012 22:54:41 +0000
Source: qgis
Source-Version: 1.7.4+1.7.5~20120320-1

We believe that the bug you reported is fixed in the latest version of
qgis, which is due to be installed in the Debian FTP archive:

libqgis-dev_1.7.4+1.7.5~20120320-1_i386.deb
  to main/q/qgis/libqgis-dev_1.7.4+1.7.5~20120320-1_i386.deb
libqgis1.7.5_1.7.4+1.7.5~20120320-1_i386.deb
  to main/q/qgis/libqgis1.7.5_1.7.4+1.7.5~20120320-1_i386.deb
python-qgis-common_1.7.4+1.7.5~20120320-1_all.deb
  to main/q/qgis/python-qgis-common_1.7.4+1.7.5~20120320-1_all.deb
python-qgis_1.7.4+1.7.5~20120320-1_i386.deb
  to main/q/qgis/python-qgis_1.7.4+1.7.5~20120320-1_i386.deb
qgis-api-doc_1.7.4+1.7.5~20120320-1_all.deb
  to main/q/qgis/qgis-api-doc_1.7.4+1.7.5~20120320-1_all.deb
qgis-common_1.7.4+1.7.5~20120320-1_all.deb
  to main/q/qgis/qgis-common_1.7.4+1.7.5~20120320-1_all.deb
qgis-mapserver_1.7.4+1.7.5~20120320-1_i386.deb
  to main/q/qgis/qgis-mapserver_1.7.4+1.7.5~20120320-1_i386.deb
qgis-plugin-grass-common_1.7.4+1.7.5~20120320-1_all.deb
  to main/q/qgis/qgis-plugin-grass-common_1.7.4+1.7.5~20120320-1_all.deb
qgis-plugin-grass_1.7.4+1.7.5~20120320-1_i386.deb
  to main/q/qgis/qgis-plugin-grass_1.7.4+1.7.5~20120320-1_i386.deb
qgis-providers-common_1.7.4+1.7.5~20120320-1_all.deb
  to main/q/qgis/qgis-providers-common_1.7.4+1.7.5~20120320-1_all.deb
qgis-providers_1.7.4+1.7.5~20120320-1_i386.deb
  to main/q/qgis/qgis-providers_1.7.4+1.7.5~20120320-1_i386.deb
qgis-sqlanywhere1.7.5_1.7.4+1.7.5~20120320-1_i386.deb
  to main/q/qgis/qgis-sqlanywhere1.7.5_1.7.4+1.7.5~20120320-1_i386.deb
qgis_1.7.4+1.7.5~20120320-1.debian.tar.gz
  to main/q/qgis/qgis_1.7.4+1.7.5~20120320-1.debian.tar.gz
qgis_1.7.4+1.7.5~20120320-1.dsc
  to main/q/qgis/qgis_1.7.4+1.7.5~20120320-1.dsc
qgis_1.7.4+1.7.5~20120320-1_i386.deb
  to main/q/qgis/qgis_1.7.4+1.7.5~20120320-1_i386.deb
qgis_1.7.4+1.7.5~20120320.orig.tar.gz
  to main/q/qgis/qgis_1.7.4+1.7.5~20120320.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 616182@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Francesco Paolo Lovergine <frankie@debian.org> (supplier of updated qgis package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 24 Apr 2012 15:12:20 +0200
Source: qgis
Binary: qgis qgis-common libqgis1.7.5 libqgis-dev qgis-plugin-grass qgis-plugin-grass-common python-qgis python-qgis-common qgis-providers qgis-providers-common qgis-mapserver qgis-sqlanywhere1.7.5 qgis-api-doc
Architecture: source i386 all
Version: 1.7.4+1.7.5~20120320-1
Distribution: unstable
Urgency: low
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Changed-By: Francesco Paolo Lovergine <frankie@debian.org>
Description: 
 libqgis-dev - Quantum GIS - development files
 libqgis1.7.5 - Quantum GIS - shared libraries
 python-qgis - Python bindings to Quantum GIS
 python-qgis-common - Python bindings to Quantum GIS - architecture-independent files
 qgis       - Geographic Information System (GIS)
 qgis-api-doc - Quantum GIS API documentation
 qgis-common - Quantum GIS - architecture-independent data
 qgis-mapserver - Quantum GIS mapserver
 qgis-plugin-grass - GRASS plugin for Quantum GIS
 qgis-plugin-grass-common - GRASS plugin for Quantum GIS - architecture-independent data
 qgis-providers - collection of data providers to Quantum GIS
 qgis-providers-common - collection of data providers to Quantum GIS - architecture-indepe
 qgis-sqlanywhere1.7.5 - Quantum GIS sql anywhere plugin and provider
Closes: 600308 606304 615683 616182 617048 661491
Changes: 
 qgis (1.7.4+1.7.5~20120320-1) unstable; urgency=low
 .
   The "Sometimes they come back" release.
 .
   * Branching from Qgis tree and adapting to current Debian Policy and
     standards. The target tree is currently set to release-1.7.
     (closes: #661491, #606304, #615683, #616182, #600308)
   * Policy bumped to 3.9.3.
   * Moving to debhelper compatibility level 9.
   * Source format is now 3.0 with quilt support.
   * Merged with 2bf42287 upstream git snapshot.
   * Migrated to dh_python2 instead of python-central.
     (closes: #617048)
   * Snapshot in qgis.org release-1.7: c936d031
   * Added an automagic creation of a lintian override for sqlite embedding.
     This is required for uploading currently.
   * Added missing ${misc:Depends} to make lintian happy.
   * Copyright notes updated and debian/copyright moved to format 1.0.
   * More licenses notices now reported in debian/copyright. Thanks ftpmasters.
Checksums-Sha1: 
 803999d79b8a92bf5a95bbc64178886447f8ef9e 2419 qgis_1.7.4+1.7.5~20120320-1.dsc
 ae3711e5d4d83e40e31d7dc971787b54efaa3beb 30089897 qgis_1.7.4+1.7.5~20120320.orig.tar.gz
 bbbcb3ba0242d98a1ddf900e6d333912217c815e 22959 qgis_1.7.4+1.7.5~20120320-1.debian.tar.gz
 d1a2d5766e36aa63fc00a21b96fea41e4f7ba9e1 4006440 qgis_1.7.4+1.7.5~20120320-1_i386.deb
 2221d339aab7324bca0b194e04cb6c653b8ec224 6822756 qgis-common_1.7.4+1.7.5~20120320-1_all.deb
 085d1fe4da80e33903df5f576792c3232a3087ff 3300164 libqgis1.7.5_1.7.4+1.7.5~20120320-1_i386.deb
 1b1fc448a84cdace69316d1edb0e8b628f7144ff 266344 libqgis-dev_1.7.4+1.7.5~20120320-1_i386.deb
 32ee23d8bda7a593d80dc65eba58400b0d6bdd60 1238078 qgis-plugin-grass_1.7.4+1.7.5~20120320-1_i386.deb
 037d7ba407b8b134d1e85f954c41fcf9b6117a76 1133702 qgis-plugin-grass-common_1.7.4+1.7.5~20120320-1_all.deb
 8d4328bf9a94b1000588c0218637446078847e91 1060044 python-qgis_1.7.4+1.7.5~20120320-1_i386.deb
 daa11c98a85584aead2f71ba5de88a3a0635c442 835498 python-qgis-common_1.7.4+1.7.5~20120320-1_all.deb
 e2588d7935b6ac87cbde216ddc999b8f6aea6587 770846 qgis-providers_1.7.4+1.7.5~20120320-1_i386.deb
 48201da2217b39b29135f0da1b67cea2978e3c05 798836 qgis-providers-common_1.7.4+1.7.5~20120320-1_all.deb
 bb6b033dee6778937cbc960a67f4376e2247f084 296294 qgis-mapserver_1.7.4+1.7.5~20120320-1_i386.deb
 d300b5496d46857eb13e1e00326e7fd06870d97c 227300 qgis-sqlanywhere1.7.5_1.7.4+1.7.5~20120320-1_i386.deb
 c5abe042732e5024a6e178e42ca8061c95ba0d99 50082886 qgis-api-doc_1.7.4+1.7.5~20120320-1_all.deb
Checksums-Sha256: 
 3f4033b4b81cf32bb80fa816b06ec71069379c50e83e311d5c9dd67e391fb12f 2419 qgis_1.7.4+1.7.5~20120320-1.dsc
 97285f19324016f49d1ba50549a05bcf19d5d1d176606b3a0e8cc77f184c1667 30089897 qgis_1.7.4+1.7.5~20120320.orig.tar.gz
 61634af60423e75160ef776cceeb26a361157e4e87677196bc47fa4cb336f137 22959 qgis_1.7.4+1.7.5~20120320-1.debian.tar.gz
 937c5f6467bd5afca46f0d717f50d2118952916c94d5ef0d633507ccfbb26f6e 4006440 qgis_1.7.4+1.7.5~20120320-1_i386.deb
 86015dbf5d0bd48463e813602821cf15ee89dfcde9b73cde58174ae13ea9b4e9 6822756 qgis-common_1.7.4+1.7.5~20120320-1_all.deb
 8e104e614f0201e6c601e418845c32cb5431fbfca96994986b3295f79b8ea02d 3300164 libqgis1.7.5_1.7.4+1.7.5~20120320-1_i386.deb
 c76080b91eda558bf4c72cb39316e5c3d548d16a6095af6954f9af13fcf23f7c 266344 libqgis-dev_1.7.4+1.7.5~20120320-1_i386.deb
 b91ca18808bd9eb2e2aa6743eda6179c1786913b31034954123a4af3f9c673b8 1238078 qgis-plugin-grass_1.7.4+1.7.5~20120320-1_i386.deb
 7662d003ef6a0f12dae0a3771af7d4a84b4bd4fe18fd6206796fe64da8e95388 1133702 qgis-plugin-grass-common_1.7.4+1.7.5~20120320-1_all.deb
 f930924bb26708737efe6e521ab4dbc51d2a736f6f99e3fb6db8bb0955499a13 1060044 python-qgis_1.7.4+1.7.5~20120320-1_i386.deb
 fd47dbe2dcc5430bb24e610c77c57b127de3cdbee3c3beb135be967ac0431bca 835498 python-qgis-common_1.7.4+1.7.5~20120320-1_all.deb
 b5011f048277deae1e0f0e18d407823d463ed0476c1e17c3662605ea1a2109c5 770846 qgis-providers_1.7.4+1.7.5~20120320-1_i386.deb
 82fb397038ddb6d7f31f553a4a58080d7e469819ff2198b977422741610feca6 798836 qgis-providers-common_1.7.4+1.7.5~20120320-1_all.deb
 7bd79da6085e7406ab64c1dd6005206701a1a9dcee4fefc8a1888d33abdd4281 296294 qgis-mapserver_1.7.4+1.7.5~20120320-1_i386.deb
 fa429dd1c0f5f40cd132cd24467a0d6701d76884eee16325cc95ec224df61169 227300 qgis-sqlanywhere1.7.5_1.7.4+1.7.5~20120320-1_i386.deb
 fade1feeffcbbd76fb96b909ea06dabc169f7ce01f2aa71b867ba32c435a0044 50082886 qgis-api-doc_1.7.4+1.7.5~20120320-1_all.deb
Files: 
 b79a57a47d00cd3fc9e38a5d3947daf0 2419 science extra qgis_1.7.4+1.7.5~20120320-1.dsc
 806c9fd15682497bf8b03e2f54afe29b 30089897 science extra qgis_1.7.4+1.7.5~20120320.orig.tar.gz
 947400d1c1b2cb307784066ceece16db 22959 science extra qgis_1.7.4+1.7.5~20120320-1.debian.tar.gz
 668e32567ce15e88e757476cb917c1e8 4006440 science extra qgis_1.7.4+1.7.5~20120320-1_i386.deb
 f55df95e9524a1f8bac7eb248a2ff061 6822756 science extra qgis-common_1.7.4+1.7.5~20120320-1_all.deb
 e4166ad5cd5cb904eb129bdb1f4baf73 3300164 science extra libqgis1.7.5_1.7.4+1.7.5~20120320-1_i386.deb
 551c0a212ec1b87a4affec91796cf2ca 266344 libdevel extra libqgis-dev_1.7.4+1.7.5~20120320-1_i386.deb
 65f4b48b594f94437c5ca350297b2237 1238078 science extra qgis-plugin-grass_1.7.4+1.7.5~20120320-1_i386.deb
 a8eb83cd124721da80c5310952a62fe1 1133702 science extra qgis-plugin-grass-common_1.7.4+1.7.5~20120320-1_all.deb
 aa01d41506beacc53c221657539ecfb7 1060044 python extra python-qgis_1.7.4+1.7.5~20120320-1_i386.deb
 afbfe59f0878a13e1118646a66039346 835498 python extra python-qgis-common_1.7.4+1.7.5~20120320-1_all.deb
 1a799e99d6fed2d468ff7053e69e7ad3 770846 science extra qgis-providers_1.7.4+1.7.5~20120320-1_i386.deb
 0a5949889b5aa1f9eb4946f770794ab3 798836 science extra qgis-providers-common_1.7.4+1.7.5~20120320-1_all.deb
 17bdb57cb29377280e71d6bf5acacb68 296294 science extra qgis-mapserver_1.7.4+1.7.5~20120320-1_i386.deb
 2e881f1f40a9b7996a6e2c4b90175c61 227300 science extra qgis-sqlanywhere1.7.5_1.7.4+1.7.5~20120320-1_i386.deb
 930bca9c8c7234ac5645b0a09089c412 50082886 science extra qgis-api-doc_1.7.4+1.7.5~20120320-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk+Ww3cACgkQpFNRmenyx0dBqwCeNmTBvpow8iqCvxe9IjCqkODN
qmMAoKwnEVlY9agIXcZA8+V76oTXHC7h
=c5av
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 01 Jun 2012 07:46:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:47:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.